petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectViewSAWs

View the base portion of any object with an SAWs viewer

### Synopsis

    #include "petscsys.h"  */
    PetscErrorCode  PetscObjectViewSAWs(PetscObject obj,PetscViewer viewer)

Collective on PetscObject Many br

### Input Parameters

| obj | - the Petsc variable Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectSetName((PetscObject)mat,name); Many br
| viewer | - the SAWs viewer Many br

Many br

Developer Note: Currently this is called only on rank zero of PETSC_COMM_WORLD Many br

The object must have already been named before calling this routine since naming an Many brobject can be collective. Many br

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff()

Level:advanced
Location:src/sys/classes/viewer/impls/ams/amsopen.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages